Subject: bug#2021: 23.0.60; X protocol error: BadFont

From: Stephen Berman <[email-masked]>
Date: Fri, 20 Feb 2009 12:49:36 +0100

On Fri, 20 Feb 2009 00:22:28 -0500 Chong Yidong <[email-masked]> wrote:

>> But when I start Emacs like this:
>>
>> emacs -Q --eval "(setq default-frame-alist '((font-backend . \"xft\")
>> (font . \"Dejavu Sans Mono-10\")))" &
>>
>> which differs from the first invocation above only in lacking
>> `--daemon'
>> and being backgrounded, the frame that appears has tiny illegible
>> characters, the shell beeps and prints this:
>>
>> steve@escher:~> libxcb: WARNING! Program tries to lock an already
>> locked connection,
>>         which indicates a programming error.
>>         There will be no further warnings about this issue.
>
> I can't seem to reproduce this.  Do you still see this problem with
> latest CVS?

No, I just updated from CVS and don't see it now (I do see it with my
previous build from a week ago).  Looks like it's been fixed.

Steve Berman